public abstract  class absfluid{		
	public abstract double h_TP(double T,double P) throws GException;
	public abstract double T(double h,double P) throws GException;
	public abstract double h_TV(double T,double V) throws GException;
	public abstract double vis(double T,double P) throws GException;
	public abstract double sigma(double T,double P) throws GException;
	public abstract double k(double T,double P) throws GException;
	public abstract double x(double T,double V) throws GException; 
	public abstract double ro(double T,double P) throws GException; 
	public abstract double cp(double T,double P) throws GException;
	public static  absfluid getInstance(String fluidName) throws java.io.IOException{
		return null;
	}
}